Package Details: nodejs-git 14.14.0.r1864.g6f34498148-1

Git Clone URL: https://aur.archlinux.org/nodejs-git.git (read-only, click to copy)
Package Base: nodejs-git
Description: JavaScript runtime built on Chrome's V8 JavaScript engine
Upstream URL: https://nodejs.org/
Licenses: MIT
Conflicts: nodejs
Provides: nodejs
Submitter: dcai
Maintainer: Chocobo1
Last Packager: Chocobo1
Votes: 9
Popularity: 0.000000
First Submitted: 2010-01-15 05:50
Last Updated: 2020-10-16 12:06

Required by (1000)

Sources (1)

Latest Comments

1 2 3 Next › Last »

aurifier commented on 2020-10-28 12:45

I have a question on how this interacts with an official package, apm. apm claims its nodejs>=10 dependency is not satisfied by this package. How can I tell if the issue is with apm's dependency or nodejs-git's provides?

haawda commented on 2016-10-18 07:14

Rebuild it.

shillshocked commented on 2016-10-18 01:50

node -v

node: error while loading shared libraries: libhttp_parser.so.2.6.0: cannot open shared object file: No such file or directory

TrialnError commented on 2015-11-24 13:01

The Repo URL should be adjusted.
The official one is https://github.com/nodejs/node

yourealwaysbe commented on 2015-11-08 22:48

I'm currently getting the following error when i try to install:

==> Starting pkgver()...
fatal: No tags can describe 'c06faa649d93f8a80d3501cf070f1565978ac9fd'.
Try --always, or create some tags.

Barthalion commented on 2013-12-24 07:46

Fixed, thanks.

Nowaker commented on 2013-12-24 00:10

nodejs-git: /usr/share/man/man1/node.1.gz exists in filesystem
Errors occurred, no packages were upgraded.

Should conflicts=('nodejs').

ant commented on 2013-06-12 07:15

==> Making package: nodejs-git 20110613-1 (Wed Jun 12 09:10:23 CEST 2013)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
==> Extracting sources...
==> Starting build()...
==> Connecting to gitosis git server...
Cloning into 'nodejs'...
remote: Counting objects: 100704, done.
remote: Compressing objects: 100% (28281/28281), done.
remote: Total 100704 (delta 79306), reused 91275 (delta 70766)
Receiving objects: 100% (100704/100704), 62.20 MiB | 4.54 MiB/s, done.
Resolving deltas: 100% (79306/79306), done.
==> GIT checkout done or server timeout!
==> applying python2 fixes..
sed: can't read wscript: No such file or directory
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build nodejs-git.

Anonymous comment on 2011-12-14 18:07

I guess novices should be notified that npm in included into the officially supported nodejs package (so they won't spend hours trying to compile nodejs-git).

xyproto commented on 2011-11-30 16:41

Hi, I get:
==> applying python2 fixes..
==> Starting make...
File "./configure", line 221
print "configure options:", options
^
SyntaxError: invalid syntax
==> ERROR: A failure occurred in build().
Aborting...
==> ERROR: Makepkg was unable to build nodejs-git.